org.apache.myfaces.trinidad.util

## Class CollectionUtils.LenientCompositeSet<E>

- java.lang.Object
- - org.apache.myfaces.trinidad.util.CollectionUtils.CompositeCollection<E>
  - - org.apache.myfaces.trinidad.util.CollectionUtils.CompositeSet<E>
    - - org.apache.myfaces.trinidad.util.CollectionUtils.LenientCompositeSet<E>

- Type Parameters:
    `E` -
  All Implemented Interfaces:
    Iterable<E>, Collection<E>, Set<E>
  Enclosing class:
    CollectionUtils

      protected abstract static class CollectionUtils.LenientCompositeSet<E>
      extends CollectionUtils.CompositeSet<E>

  Live composite set where both sets are allowed to be disjoint.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CollectionUtils.LenientCompositeSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(E e)`
    `boolean` | `addAll(Collection<? extends E> c)`
    `int` | `hashCode()` Implement Set-defined equals behavior
    `Iterator<E>` | `iterator()`
    `boolean` | `remove(Object o)`
    `int` | `size()`

    - ### Methods inherited from class org.apache.myfaces.trinidad.util.CollectionUtils.CompositeSet

      `equals, getPrimaryDelegate, getSecondaryDelegate`

    - ### Methods inherited from class org.apache.myfaces.trinidad.util.CollectionUtils.CompositeCollection

      `clear, contains, containsAll, isEmpty, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `clear, contains, containsAll, isEmpty, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### CollectionUtils.LenientCompositeSet

          protected CollectionUtils.LenientCompositeSet()

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<E>`
      Specified by:
        `size` in interface `Set<E>`
      Overrides:
        `size` in class `CollectionUtils.CompositeCollection<E>`

    - #### iterator

          public Iterator<E> iterator()

      Specified by:
        `iterator` in interface `Iterable<E>`
      Specified by:
        `iterator` in interface `Collection<E>`
      Specified by:
        `iterator` in interface `Set<E>`
      Overrides:
        `iterator` in class `CollectionUtils.CompositeCollection<E>`

    - #### add

          public boolean add(E e)

      Specified by:
        `add` in interface `Collection<E>`
      Specified by:
        `add` in interface `Set<E>`
      Overrides:
        `add` in class `CollectionUtils.CompositeCollection<E>`

    - #### remove

          public boolean remove(Object o)

      Specified by:
        `remove` in interface `Collection<E>`
      Specified by:
        `remove` in interface `Set<E>`
      Overrides:
        `remove` in class `CollectionUtils.CompositeCollection<E>`

    - #### addAll

          public boolean addAll(Collection<? extends E> c)

      Specified by:
        `addAll` in interface `Collection<E>`
      Specified by:
        `addAll` in interface `Set<E>`
      Overrides:
        `addAll` in class `CollectionUtils.CompositeCollection<E>`

    - #### hashCode

          public int hashCode()

      Implement Set-defined equals behavior
      Specified by:
        `hashCode` in interface `Collection<E>`
      Specified by:
        `hashCode` in interface `Set<E>`
      Overrides:
        `hashCode` in class `CollectionUtils.CompositeSet<E>`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.